[arch-commits] Commit in libxt/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 21:37:55 EDT 2009


    Date: Tuesday, April 14, 2009 @ 21:37:55
  Author: eric
Revision: 35652

Merged revisions 356,4521,21427,35651 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxt/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4521 | ronald | 2008-07-07 17:46:12 -0400 (Mon, 07 Jul 2008) | 1 line
  
  fix license
........
  r21427 | eric | 2008-12-12 22:26:28 -0500 (Fri, 12 Dec 2008) | 1 line
  
  updated options syntax
........
  r35651 | eric | 2009-04-14 21:37:35 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxt 1.0.5-2
      License rebuild
........

Modified:
  libxt/repos/extra-x86_64/	(properties)
  libxt/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)


Property changes on: libxt/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxt/trunk:1
   + /libxt/trunk:1-35651

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-15 01:37:35 UTC (rev 35651)
+++ extra-x86_64/PKGBUILD	2009-04-15 01:37:55 UTC (rev 35652)
@@ -3,10 +3,11 @@
 
 pkgname=libxt
 pkgver=1.0.5
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 toolkit intrinsics library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libsm' 'libx11')
 makedepends=('pkgconfig')
 options=('!libtool')
@@ -14,10 +15,14 @@
 md5sums=('f3bdd67785ace8cd0b23249e9d8c9975')
 
 build() {
-  cd ${startdir}/src/libXt-${pkgver}
+  cd ${srcdir}/libXt-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --build=${CHOST} --host=${CHOST} \
 	      --disable-install-makestrs
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+
+# install custom license
+install -Dm644 $srcdir/libXt-$pkgver/COPYING \
+	$pkgdir/usr/share/licenses/$pkgname/COPYING
 }



More information about the arch-commits mailing list